Pearl
Set Activity State
Run or Pause a specific Pearl
PUT
/
v2
/
Pearl
/
{pearlId}
/
Active
Set Activity State
curl --request PUT \
--url https://api.nlpearl.ai/v2/Pearl/{pearlId}/Active \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"isActive": true
}
'import requests
url = "https://api.nlpearl.ai/v2/Pearl/{pearlId}/Active"
payload = { "isActive": True }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({isActive: true})
};
fetch('https://api.nlpearl.ai/v2/Pearl/{pearlId}/Active', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
123{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}Authorizations
Specify the authorization token.
For more information, check out the Authorization Guide.
Path Parameters
Body
application/jsontext/jsonapplication/*+json
Defines the request structure for setting the active status of an entity.
A boolean value that specifies the new active status of the entity.
True activates the entity, while false deactivates it.
Response
The active state of the Pearl.
Here is the activity status
1 - Running
2 - Paused
3 - Suspended
10 - TemporaryMaintenance
⌘I
Set Activity State

